> For the complete documentation index, see [llms.txt](https://docs.decisionrules.io/doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decisionrules.io/doc/v1/business-intelligence.md).

# Business Intelligence

- [Audit Logs](https://docs.decisionrules.io/doc/v1/business-intelligence/audit-logs.md): This page describes Audit Logs, the main functionality of our Business Intelligence API.
- [Create a Power BI Report](https://docs.decisionrules.io/doc/v1/business-intelligence/create-a-power-bi-report.md): This tutorial will walk you through the creation of a Power BI report using the DecisionRules BI API.
- [Connect Power BI to Business Intelligence API](https://docs.decisionrules.io/doc/v1/business-intelligence/connect-power-bi-to-business-intelligence-api.md): These instructions describe how to connect Power BI to the Business Intelligence API v2.
- [Connecting from Power BI (deprecated)](https://docs.decisionrules.io/doc/v1/business-intelligence/connecting-from-power-bi-deprecated.md): This tutorial describes how to connect DecisionRules data stored in your own (on-premise) MongoDB database from Power BI to visualize or analyze it.
- [Connect DecisionRules to Power BI Using Our Custom Connector](https://docs.decisionrules.io/doc/v1/business-intelligence/connect-decisionrules-to-power-bi-using-our-custom-connector.md): This page describes the proces of using the DecisionRules custom Power Query connector to import Audit Logs from DecisionRules to Power BI.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.decisionrules.io/doc/v1/business-intelligence.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
